import MojangTools from "./server/mojang";
import PlayerTools from "./server/player";
import ServerTools from "./server/server";

export class MinecraftUtils {
  public static API_ENDPOINT = "https://api.mcutils.xyz";

  /**
   * The server instance.
   */
  public server = new ServerTools();

  /**
   * The player instance.
   */
  public player = new PlayerTools();

  /**
   * The Mojang instance.
   */
  public mojang = new MojangTools();
}

export default new MinecraftUtils();
